net.sf.jasperreports.engine.util

## Class JRConcurrentSwapFile

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRSwapFile
  - - net.sf.jasperreports.engine.util.JRConcurrentSwapFile

-     public class JRConcurrentSwapFile
      extends JRSwapFile

  `JRSwapFile` derived class that uses a `FileChannel` to perform concurrent I/O on the swap file.
  Version:
    $Id: JRConcurrentSwapFile.java 6018 2013-03-25 09:41:06Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.util.JRSwapFile

      `JRSwapFile.LongQueue, JRSwapFile.SwapHandle`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.util.JRSwapFile

      `file, PROPERTY_DELETE_ON_EXIT, swapFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRConcurrentSwapFile(java.lang.String directory, int blockSize, int minGrowCount)` Creates a swap file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `read(byte[] data, int dataOffset, int dataLength, long fileOffset)`
    `java.lang.String` | `toString()`
    `protected void` | `write(byte[] data, int dataSize, int dataOffset, long fileOffset)`

    - ### Methods inherited from class net.sf.jasperreports.engine.util.JRSwapFile

      `dispose, finalize, free, freeBlocks, read, reserveFreeBlocks, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRConcurrentSwapFile

          public JRConcurrentSwapFile(java.lang.String directory,
                              int blockSize,
                              int minGrowCount)

      Creates a swap file. The file name is generated automatically.
      Parameters:
        `directory` - the directory where the file should be created.
        `blockSize` - the size of the blocks allocated by the swap file
        `minGrowCount` - the minimum number of blocks by which the swap file grows when full

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `JRSwapFile`

    - #### write

          protected void write(byte[] data,
                   int dataSize,
                   int dataOffset,
                   long fileOffset)
                        throws java.io.IOException

      Overrides:
        `write` in class `JRSwapFile`
      Throws:
        `java.io.IOException`

    - #### read

          protected void read(byte[] data,
                  int dataOffset,
                  int dataLength,
                  long fileOffset)
                       throws java.io.IOException

      Overrides:
        `read` in class `JRSwapFile`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com